                          Computer Science 101
                               Quiz O      Name ______________________

1.  Complete the following truth table:

    x   y   | not (x or y)
    ----------------------
    0   0   |
            |
    0   1   |
            |
    1   0   |
            |
    1   1   |


2.  In the numeric specification we used in class the function
    of question 1 is:

    a. f3                       b. f7

    c. f8                       c. f15


3.  The boolean functions of two variables that are DIRECTLY
    implemented in C are:

    a. f11 and f15               b. f1 and f7

    c. f12 and f6                d. f12 and f14


4.  Suppose x, y, z are Boolean variables and x = 1, y = 0, z = 1
    What is the value of:


    (x or y) and ((not (x xor z)) or (y and z))





